# Makefile for the echo programs

CC=gcc
CFLAGS= -Wall -W -Wmissing-declarations -Wmissing-prototypes -g -O0 \
        -Wredundant-decls -Wshadow -Wbad-function-cast -Wcast-qual
LDFLAGS=
PROGRAMS=echoserver echoclient

all : $(PROGRAMS)

echoserver : echoserver.c udp_echo.h
	$(CC) -o $@ $< $(CFLAGS) $(LDFLAGS)

echoclient : echoclient.c udp_echo.h
	$(CC) -o $@ $< $(CFLAGS) $(LDFLAGS)

tags :
	@find . -iname "*.[ch]" -print | etags -L -

.PHONY : clean

clean :
	rm -f $(PROGRAMS) *~ TAGS gcc.txt
